function [particle] = initializeParticle(domain)
	#Given a domain, a particle is started in that domain
	particlePosition = domain(:,1) + (domain(:,2)-domain(:,1)).*(rand(length(domain(:,1)),1));	
	particleBestPosition = particlePosition;
	particle.position = particlePosition;
	particle.bestPosition = particleBestPosition;
	particle.bestValue = evaluateParticlePosition(particle.position);
	particle.velocity =(-abs(domain(:,1)-domain(:,2))) + (2*abs((domain(:,2)-domain(:,1)))).*(rand(length(-abs(domain(:,2)-domain(:,1))),1));	

endfunction;