function [globalBestPosition] = PSO(numberOfParticles, domain)
	#initializing particles
	for i = 1:numberOfParticles
		particles(i) = initializeParticle(domain);
		particleValue = evaluateParticlePosition(particles(i).position);
		if i == 1
			globalBestPosition = particles(i).position;
			globalBestValue = particleValue;
		elseif particleValue < globalBestValue
			globalBestValue = particleValue;
			globalBestValue = particleValue;
		endif;
	endfor;
	j = 1;
	while j <= 100	
		for i = 1:numberOfParticles
			particleValue = evaluateParticlePosition(particles(i).position);
			if(particleValue < particles(i).bestValue) 
				particles(i).bestValue = particleValue;
				particles(i).bestPosition = particles(i).position;	
			endif;
			if(particleValue < globalBestValue)
				globalBestValue = particleValue;
				globalBestPosition = getParticlePosition(particles(i))
			endif;
		endfor;
		#Update Step
		for i = 1:numberOfParticles
			particles(i) = updateParticleVelocity(particles(i), globalBestPosition);
			particles(i) = updateParticlePosition(particles(i),domain);
		endfor;
		j +=1;
	endwhile;
	
	

endfunction;